Форум русскоязычного сообщества Ubuntu


Автор Тема: Не могу поставит пакет на VPS  (Прочитано 1365 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн _evgeniy

  • Автор темы
  • Новичок
  • *
  • Сообщений: 42
    • Просмотр профиля
Не могу поставит пакет на VPS
« : 25 Ноябрь 2014, 16:21:44 »
Ubuntu 14.10
Здравствуйте хочу поставить sudo apt-get install lib32gcc1:

root@vps118099:/home/user# sudo apt-get install lib32gcc1
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 lib32gcc1 : Depends: gcc-4.9-base (= 4.9.1-19) but 4.9.1-16ubuntu6 is to be installed
             Depends: libc6-i386 (>= 2.2.4) but it is not going to be installed
 libc6 : Breaks: locales (< 2.19)
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

Делаю apt-get -f install

root@vps118099:/home/user# apt-get -f install
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following extra packages will be installed:
  locales
The following packages will be upgraded:
  locales
1 upgraded, 0 newly installed, 0 to remove and 283 not upgraded.
1 not fully installed or removed.
Need to get 0 B/3,942 kB of archives.
After this operation, 7,017 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
WARNING: The following packages cannot be authenticated!
  locales
Install these packages without verification? [y/N] y
Preconfiguring packages ...
(Reading database ... 25431 files and directories currently installed.)
Preparing to unpack .../locales_2.19-13_all.deb ...
Unpacking locales (2.19-13) over (2.13+git20120306-17) ...
dpkg: error processing archive /var/cache/apt/archives/locales_2.19-13_all.deb (--unpack):
 trying to overwrite '/usr/sbin/validlocale', which is also in package libc-bin 2.19-10ubuntu2
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/locales_2.19-13_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Как исправить... на домашний комп все ставилось.
Спасибо. :)

Оффлайн ArcFi

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 15194
    • Просмотр профиля
    • aetera.net
Re: Не могу поставит пакет на VPS
« Ответ #1 : 25 Ноябрь 2014, 16:47:31 »
lsb_release -a ; grep -Ev '^#|^$' /etc/apt/sources.list{,.d/*.list} ; apt-cache policy libc-bin localesПод спойлер.

Оффлайн _evgeniy

  • Автор темы
  • Новичок
  • *
  • Сообщений: 42
    • Просмотр профиля
Re: Не могу поставит пакет на VPS
« Ответ #2 : 25 Ноябрь 2014, 16:48:42 »
lsb_release -a ; grep -Ev '^#|^$' /etc/apt/sources.list{,.d/*.list}Под спойлер.


root@vps118099:/# lsb_release -a ; grep -Ev '^#|^$' /etc/apt/sources.list{,.d/*.list}
(Нажмите, чтобы показать/скрыть)

Оффлайн ArcFi

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 15194
    • Просмотр профиля
    • aetera.net
Re: Не могу поставит пакет на VPS
« Ответ #3 : 25 Ноябрь 2014, 16:50:14 »
/etc/apt/sources.list:deb http://ftp.us.debian.org/debian jessie main contrib non-free
Что за …?

Оффлайн _evgeniy

  • Автор темы
  • Новичок
  • *
  • Сообщений: 42
    • Просмотр профиля
Re: Не могу поставит пакет на VPS
« Ответ #4 : 25 Ноябрь 2014, 16:52:32 »
/etc/apt/sources.list:deb http://ftp.us.debian.org/debian jessie main contrib non-free
Что за …?

не знаю(( к вам пришел поэтому)

Оффлайн ArcFi

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 15194
    • Просмотр профиля
    • aetera.net
Re: Не могу поставит пакет на VPS
« Ответ #5 : 25 Ноябрь 2014, 16:56:09 »
не знаю
Тогда отключайте.

Оффлайн _evgeniy

  • Автор темы
  • Новичок
  • *
  • Сообщений: 42
    • Просмотр профиля
Re: Не могу поставит пакет на VPS
« Ответ #6 : 25 Ноябрь 2014, 16:57:05 »
не знаю
Тогда отключайте.

Как?) я не настолько силен пока что в Linux

Оффлайн ArcFi

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 15194
    • Просмотр профиля
    • aetera.net
Re: Не могу поставит пакет на VPS
« Ответ #7 : 25 Ноябрь 2014, 17:05:19 »
sudo sed -i '/debian.org/d' /etc/apt/sources.list ; sudo apt-get update

Оффлайн _evgeniy

  • Автор темы
  • Новичок
  • *
  • Сообщений: 42
    • Просмотр профиля
Re: Не могу поставит пакет на VPS
« Ответ #8 : 25 Ноябрь 2014, 17:10:22 »
sudo sed -i '/debian.org/d' /etc/apt/sources.list ; sudo apt-get update

После выполнения вашей строки.

root@vps118099:~# apt-get -f install
(Нажмите, чтобы показать/скрыть)

Но

root@vps118099:~# sudo apt-get install lib32gcc1
(Нажмите, чтобы показать/скрыть)

Оффлайн ArcFi

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 15194
    • Просмотр профиля
    • aetera.net
Re: Не могу поставит пакет на VPS
« Ответ #9 : 25 Ноябрь 2014, 17:13:00 »
apt-cache policy libc6-i386?

Оффлайн _evgeniy

  • Автор темы
  • Новичок
  • *
  • Сообщений: 42
    • Просмотр профиля
Re: Не могу поставит пакет на VPS
« Ответ #10 : 25 Ноябрь 2014, 17:14:28 »
apt-cache policy libc6-i386?

root@vps118099:~# apt-cache policy libc6-i386
(Нажмите, чтобы показать/скрыть)

Оффлайн ArcFi

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 15194
    • Просмотр профиля
    • aetera.net
Re: Не могу поставит пакет на VPS
« Ответ #11 : 25 Ноябрь 2014, 17:17:24 »
apt-cache policy libc6?

Оффлайн _evgeniy

  • Автор темы
  • Новичок
  • *
  • Сообщений: 42
    • Просмотр профиля
Re: Не могу поставит пакет на VPS
« Ответ #12 : 25 Ноябрь 2014, 17:17:49 »
apt-cache policy libc6?


root@vps118099:~# apt-cache policy libc6
(Нажмите, чтобы показать/скрыть)

Оффлайн ArcFi

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 15194
    • Просмотр профиля
    • aetera.net
Re: Не могу поставит пакет на VPS
« Ответ #13 : 25 Ноябрь 2014, 17:27:08 »
Зря вы туда воткнули 14.10.
Это нестабильный релиз.
Срок поддержки смешной.

Походу, из репов дебиана вы уже обновились.
Зависимости запороты.

Разрулить, в принципе, можно.
Но нет никаких гарантий, что не вылезет где-то ещё.

Я бы на вашем месте поставил начисто 14.04 LTS и не мучался.
« Последнее редактирование: 25 Ноябрь 2014, 17:32:05 от ArcFi »

Оффлайн _evgeniy

  • Автор темы
  • Новичок
  • *
  • Сообщений: 42
    • Просмотр профиля
Re: Не могу поставит пакет на VPS
« Ответ #14 : 25 Ноябрь 2014, 17:28:50 »
Зря вы туда воткнули 14.10.
Это нестабильный релиз.
Репы колбасит, зависимости запороты.
Срок поддержки смешной.

Разрулить, в принципе, можно.
Но нет никаких гарантий, что не вылезет снова.

Я бы на вашем месте поставил 14.04 LTS и не мучался.

Спасибо за совет я тоже склоняюсь к 14.04 сейчас все будет результат отпишу.

Пользователь решил продолжить мысль [time]25 Ноябрь 2014, 18:42:26[/time]:
14.04


root@vps118099:~# sudo apt-get install lib32gcc1
(Нажмите, чтобы показать/скрыть)

Пользователь решил продолжить мысль 25 Ноябрь 2014, 17:43:51:
Я бы на вашем месте поставил начисто 14.04 LTS и не мучался.


root@vps118099:~# sudo apt-get install lib32gcc1
(Нажмите, чтобы показать/скрыть)

« Последнее редактирование: 25 Ноябрь 2014, 17:43:51 от _evgeniy »

 

Страница сгенерирована за 0.063 секунд. Запросов: 25.